package com.pj.ht_byte;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: ht_byte -- 航通基础信息字节码表
 * @author yzs 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HtByteService extends ServiceImpl<HtByteMapper, HtByte> implements IService<HtByte>{

	/** 底层 Mapper 对象 */
	@Autowired
	HtByteMapper htByteMapper;

	/** 增 */
	void add(HtByte h){
		save(h);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(HtByte h){
		updateById(h);

	}

	/** 查 */
	HtByte getById(Integer id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<HtByte> getList(SoMap so) { 
		return htByteMapper.getList(so);	
	}
	

}
